Bug 1300318 - fusor-installer does not fill DNS Forwarder IP
fusor-installer does not fill DNS Forwarder IP
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-installer (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP2
: 1.0
Assigned To: Jason Montleon
Tasos Papaioannou
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 08:12 EST by Antonin Pagac
Modified: 2016-04-29 12:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2016-01-20 08:12:08 EST
Description of problem:
fusor-installer does not pre-fill DNS forwarder IP as it used to couple of versions before. I can see the nameserver entries when doing "cat /etc/resolv.conf".

Version-Release number of selected component (if applicable):
RHCIOOO-7-RHEL-7-20160119.t.0-RHCIOOO-x86_64-dvd1.iso

How reproducible:
Always

Steps to Reproduce:
1. Run fusor-installer
2. DNS Forwarder IP is not filled in
3.

Actual results:
DNS forwarder IP is not filled in

Expected results:
It would be nice if the DNS forwarder IP adress was filled automatically

Additional info:
Comment 1 Jason Montleon 2016-01-20 10:19:44 EST
Can you provide the resolv.conf and the IP address for the satvm?

We introduced an additional check to not prepopulate the forwarder with the Satellite servers IP address (taken from '3. IP address' when running the installer) as that would be both an incorrect configuration and can brake things after a failed run.
Comment 3 Jason Montleon 2016-01-21 11:37:58 EST
https://github.com/fusor/fusor-installer/pull/42
Comment 4 John Matthews 2016-01-22 15:21:02 EST
Compose of 1/22/16
Comment 5 Tasos Papaioannou 2016-01-22 20:20:07 EST
VERIFIED on RHCI-6.0-RHEL-7-20160118.t.1.

Note You need to log in before you can comment on or make changes to this bug.